# Get Limits

Before initializing a sell widget transaction, you'll need to know the maximum and minimum amounts possible for a currency pair. Make a **GET** request to the following endpoint.

{% code overflow="wrap" %}

```url
https://api.localramp.co/v1/transaction/sell-widget/limits?from_currency=USDT&to_currency=NGN
```

{% endcode %}

The request takes `from_currency` and `to_currency` as query params.&#x20;

With the following header

```
x-auth-token: <PUBLIC_KEY>
```

If the API call is successful, LocalRamp returns the following response:

```javascript
{
    "status": "success",
    "data": {
        "from_minimum": "2.54999999",
        "from_maximum": "1062.71504357",
        "to_minimum": "4343.67",
        "to_maximum": "1683000.00",
        "from_currency": "USDT",
        "to_currency": "NGN"
    }
}
```

It returns the minimum and maximum amounts for both from and to currencies.

{% hint style="warning" %}
The Limits are not fixed. They vary based on the currency pair chosen and the price of the token at the time of the request. **Always** fetch the limits before initializing a sell transaction to make sure you're within the current limits.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.localramp.co/crypto-off-ramp/widget-sell/get-limits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
